
set scriptname [lindex [file split $argv0] end]
if {[file exists /var/run/$scriptname.stop]} then {exit 0}

set daemonize 0
if {[file exists /var/run/$scriptname.pid]} then {
  catch {
    set f [open /var/run/$scriptname.pid]
    set filepid [read $f]
    close $f
    if {[pid] != $filepid} then {
      catch {exec kill $filepid}
      set daemonize 1
    }
  }
} else {
  set daemonize 1
}

if {$daemonize && ![regexp -- "-nodaemonize" $argv dummy]} then {
  eval exec daemonize -p /var/run/$scriptname.pid -o /tmp/$scriptname.stdout -e /tmp/$scriptname.stderr /bin/tclsh $argv0 $argv
  exit 0
}
